# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/08/09 10:33:32-06:00 bjorn.helgaas@hp.com 
#   Merge hp.com:/home/helgaas/linux/to-marcelo-2.4
#   into hp.com:/home/helgaas/linux/linux-ia64-2.4
# 
# Makefile
#   2004/08/09 10:33:29-06:00 bjorn.helgaas@hp.com +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/08/07 20:15:17-03:00 marcelo@logos.cnet 
#     Changed Makefile to v2.4.27
#   TAG: v2.4.27
# 
# Makefile
#   2004/08/07 20:04:56-03:00 marcelo@logos.cnet +1 -1
#   Changed Makefile to v2.4.27
# 
# ChangeSet
#   2004/08/07 15:38:42-03:00 marcelo@logos.cnet 
#     Changed EXTRAVERSION to -rc6
#   TAG: v2.4.27-rc6
# 
# Makefile
#   2004/08/07 15:36:49-03:00 marcelo@logos.cnet +1 -1
#   Changed EXTRAVERSION to -rc6
# 
# ChangeSet
#   2004/08/04 16:16:57-03:00 geert@linux-m68k.org 
#   [PATCH] Fix net/atm/br2684.c file offset patch
#   
#   Breaks the build with gcc 2.95. Trivial fix below:
# 
# net/atm/br2684.c
#   2004/08/04 12:21:16-03:00 geert@linux-m68k.org +2 -1
#   Fix net/atm/br2684.c file offset patch
# 
diff -Nru a/Makefile b/Makefile
--- a/Makefile	2004-08-12 14:59:07 -07:00
+++ b/Makefile	2004-08-12 14:59:07 -07:00
@@ -93,6 +93,7 @@
 
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
 	  -fno-strict-aliasing -fno-common
+CFLAGS += -g
 ifndef CONFIG_FRAME_POINTER
 CFLAGS += -fomit-frame-pointer
 endif
@@ -307,8 +308,7 @@
 	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in
 
 xconfig: symlinks
-	$(MAKE) -C scripts kconfig.tk
-	wish -f scripts/kconfig.tk
+	@echo -e "***\n* Sorry, xconfig is broken; use \"make menuconfig\" instead.\n***"
 
 menuconfig: include/linux/version.h symlinks
 	$(MAKE) -C scripts/lxdialog all
